/*
Copyright 2016 Ian Jauslin

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/*
  Structure definition for real polynomials

  see polynomial_*.h for the values taken by POLYNOMIAL_TYPENAME, etc...
*/

typedef struct POLYNOMIAL_TYPENAME {
  POLYNOMIAL_COEFSARRAY_TYPE coefficients;
  POLYNOMIAL_ORDERSARRAY_TYPE orders;
} POLYNOMIAL_TYPENAME;

