/*
Copyright 2016 Ian Jauslin

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

/*
  Real polynomial
*/


#ifndef LIBINUM_POLYNOMIAL_H
#define LIBINUM_POLYNOMIAL_H

#include "types.h"

//--------------------------------------------------
//
//  mpfr coefficients, unsigned int order (polynomial_mpfr)
//
//--------------------------------------------------
#include "polynomial_mpfr.h"
#include "polynomial_base.h"


//--------------------------------------------------
//
//  double coefficients, unsigned int order (polynomial_mpfr)
//
//--------------------------------------------------

#include "polynomial_double.h"
#include "polynomial_base.h"


//--------------------------------------------------
//
//  long double coefficients, unsigned int order (polynomial_mpfr)
//
//--------------------------------------------------

#include "polynomial_ldouble.h"
#include "polynomial_base.h"

#endif
